#ifndef TMHistogrammingTEMPLATE_H
#define TMHistogrammingTEMPLATE_H

#include "TMHistogramming.h"

// example if you need a histogram:
class TH1F;



class TMHistogrammingTEMPLATE : public TMHistogramming {

 public:
  TMHistogrammingTEMPLATE();
  virtual ~TMHistogrammingTEMPLATE();

  // remove all methods below that you do not need to use:
  virtual void   StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber);
  virtual void   ProcessPixel(UInt_t eq, UInt_t hs, UInt_t chip, UInt_t col, UInt_t row);
  virtual void   ProcessClusters(HenrikClusterFinderSPD* clFinder);
  virtual void   ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type);
  virtual void   ProcessEvent(eventHeaderStruct *event);
  virtual void   EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  // keep these methods:
  virtual void   Draw(TPad *pad);
  virtual void   Reset();

 protected:
  // add members here that you need, for example a histogram:
  TH1F    *fTheHisto;

};

#endif
